<?php

namespace Drupal\admin_notification\EventSubscriber;

use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class KernelSubscriber implements EventSubscriberInterface {

  public function checkNotification(RequestEvent $event) {
    if (\Drupal::currentUser()->isAuthenticated() && \Drupal::service('state')->get('admin_notification.enabled', FALSE)) {
      $state = \Drupal::service('state');
      $message = $state->get('admin_notification.message', '');
      if (!empty($message)) {
        $type = $state->get('admin_notification.type', 'status');
        $messenger = \Drupal::service('messenger');
        $messenger->addMessage($message, $type, TRUE);
      }
    }
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[KernelEvents::REQUEST][] = array('checkNotification');
    return $events;
  }

}
